End class declaration

SYNOPSIS

pi_id | pi_end_class(pi_data *);

PARAMETER

pi_data.from: | start position of the whole class declaration
pi_data.to: | end position of the whole class declaration
pi_data.related: | pi_id of class to be terminated Default: previous class non-terminated class declaration

DESCRIPTION
This function must be called whenever the parser detects an end class declaration in the source file.
C/C++ example
class foo { /*...*/ };
SNiFF+ Fuzzy Parser action

pi_data.from: | points to the opening brace (after the classname)
pi_data.to: | points to the closing brace
pi_data.name: | " foo "

SNiFF+ usage
highlighted in Source Editor
See also pi_start_class